Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 437028 - dev-lua/luafilesystem-1.6.2 version bump
Summary: dev-lua/luafilesystem-1.6.2 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Rafael Martins
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 434236
  Show dependency tree
 
Reported: 2012-10-03 00:36 UTC by Dennis Schridde
Modified: 2014-12-24 10:41 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2012-10-03 00:36:55 UTC
Quoting the $HOMEPAGE:
---
Status
Current version is 1.6.0. It was developed for Lua 5.1 but also works with Lua 5.2.
---

Reproducible: Always
Comment 1 Dennis Schridde 2012-10-03 01:07:40 UTC
Actually lfs 1.6.0 contains some bugs regarding Lua 5.2 and 1.6.1 is not compatible with dev-lang/lua[-deprecated]. So better wait for 1.6.2.
Comment 2 Manuel Rüger (RETIRED) gentoo-dev 2013-04-02 13:47:23 UTC
Both were released:

Version 1.6.2 [??/Oct/2012]
	* Full Lua 5.2 compatibility (with Lua 5.1 fallbacks)

Version 1.6.1 [01/Oct/2012]
	* fix build for Lua 5.2
Comment 3 Dennis Schridde 2013-10-23 23:25:51 UTC
(In reply to Manuel Rüger from comment #2)
> Both were released:

They miss tags, though: https://github.com/keplerproject/luafilesystem/issues/23
Comment 4 Manuel Rüger (RETIRED) gentoo-dev 2014-06-14 13:16:08 UTC
Release tag available:
https://github.com/keplerproject/luafilesystem/releases/tag/v1_6_2
Comment 5 Manuel Rüger (RETIRED) gentoo-dev 2014-12-24 10:41:30 UTC
*luafilesystem-1.6.2 (24 Dec 2014)

  24 Dec 2014; Manuel Rüger <mrueg@gentoo.org> +luafilesystem-1.6.2.ebuild,
  -luafilesystem-1.4.1.ebuild, -luafilesystem-1.4.2.ebuild:
  Version bump. Remove old. Fixes bug #437028.